QGIS Application - Bug report #18299
DateTime widget issue with current date
2018-03-01 06:39 PM - gcarrillo -

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: Edit widget

Affected QGIS version:3.1(master) Regression?: No
Operating System: GNUY/Linux (Linux Mint based on Ubuntu XeBasy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26190
Description

As you can see in the attached gif, sometimes selecting the current date doesn't set the attribute value.

Associated revisions

Revision 8bd48969 - 2018-03-10 01:56 PM - Denis Rouzaud

fix #18299 date time widget does not correctly set value from calendar

the use of QStyle::subControlRect was returning only the rect of the arrows and not of the whole clickable area. QStyle::hitTestComplexControl has been

used instead

Revision 8f9d17e1 - 2018-03-12 05:40 PM - Matthias Kuhn

Merge pull request #6548 from 3nids/fix_datetime_null

fix #18299 date time widget does not correctly set value from calendar

Revision ad6491db - 2018-03-12 06:28 PM - Denis Rouzaud

fix date time NULL handling (#6591)

- fix #18299 date time widget does not correctly set value from calendar

the use of QStyle::subControlRect was returning only the rect of the arrows and not of the whole clickable area. QStyle::hitTestComplexControl has been
used instead

- correctly emit NULL and not empty string for date/time widget for string fields

- finer tuning of style options

History

#1 - 2018-03-01 08:41 PM - Matthias Kuhn
- Assignee set to Denis Rouzaud

#2 - 2018-03-02 09:05 AM - Giovanni Manghi

- Affected QGIS version changed from master to 3.1(master)
#3 - 2018-03-12 05:40 PM - Denis Rouzaud
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|8bd489690801474167e7fd1e2f3fd1154078a798.
